%define upstream_name    Olson-Abbreviations
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Olson/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::ClassAttribute) >= 0.250.0
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This module should help you with converting commonly used and often
ambigious olson abbreviations into TZ offset notation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 527189
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.40.0-1.mga4
+ Revision: 439662
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 295206
- update to 0.03

* Mon Nov 07 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 164785
- imported package perl-Olson-Abbreviations


* Mon Nov 07 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
